<!DOCTYPE html>
<html lang="pt-BR">
<head>
  <title>Hello World</title>
  <meta charset="utf-8">
</head>
<body>
  <script type="text/javascript">
    // Primeiro Teste
    // alert('Hello World from Javascript')




    // Variaveis
    // var name = 'José Felipe da Silva'
    // var age = 28
    // var height = 1.75
    // var hasDog = true
    // alert(name)




    // Caracteres
    //var name = 'José Felipe'
    //var lastName = 'da Silva'

    // name = name.toLowerCase()
    // name = name.toUpperCase()
    // var fullName = name.concat(' ').concat(lastName)
    //var fullName = name + ' ' + lastName.replace('d', '*')

    //alert(fullName)




    // Numericos
    // var number = 10.20
    // var number2 = 5

    // number.toString()
    // number = parseInt(number)
    // number2 = parseFloat(number2).toPrecision(3)

    //var random = Math.random()
    //var random = Math.round(Math.random() * 6)
    //var random = Math.trunc(Math.random() * 6)

    //alert(random)




    // Input e Output
    // console.time()
    // var name = prompt('What is your name?')
    // alert(name)
    // confirm(name)

    // console.log('My name is : ' + name)
    // console.err('Erro')
    // console.info('Teste')
    // console.warn('Verifique')
    // console.timeEnd()




    // Operadores
    // var totalSoma = 5 + 5
    // var totalSub = 8 - 5
    // var totalMult = 2 * 2
    // var totalDiv = 4 / 2

    // totalSoma += 5
    // totalSub -= 1

    // console.log(totalSoma, totalSub, totalMult, totalDiv)

    // var a = 50
    // var  b = 20

    // var c = a == b
    // var c = a === b
    // var c = a != b
    // var c = a !== b
    // var c = a > b
    // var c = a < b
    // var c = a >= b
    // var c = a <= b

    // var c = (a > b) && (b > a)
    // var c = (a > b) || (b > a)
    // var c = !((a > b) || (b > a))

    // console.log(c)



    // if e else
    /* if ((1 == 0) || (1 > 0)) {
      alert('Verdade')
    }else {
      alert('Falso')
    } */



    // Switch
    /*var op = 3
    switch(op) {
      case 1:
        alert('É um!!')
        break
      case 2:
        alert('É dois!!')
        break
      default:
        alert('Não conheço isso!!')
    }*/



    // While
    // var i = 0
    /* while (i < 4) {
      alert('Inside Loop ' + i)
      i++
    } */

    // For
    /* for (var i = 0; i < 5; i++) {
      alert('Inside Loop ' + i)
    } */



    // Funções
    function sayHello() {
      alert('Hello from Function')
    }

    sayHello()

    function square(number) {
      return number * number
    }

    alert(square(2))
  </script>
</body>
</html>
